Subject: Re: bug#5388: 23.1; syntactic analysis incorrect

From: Glenn Morris <[email-masked]>
Date: Mon, 11 Jul 2011 17:26:08 -0400

This bug is being closed because it could not be reproduced and there
was no response to a request for more information.
If you reply with the requested information it can be reopened if needed.

You can view the whole report at http://debbugs.gnu.org/BUGNUMBER

Chong Yidong wrote:

> Thanks for the bug report, but it does not contain enough information
> for us to do anything.  I assume you are referring to C mode.  However,
> if I paste your snippet into a fresh foo.c and call M-x
> c-syntactic-information-on-region, I get the following:
>
> switch (x)			/* ((topmost-intro 1)) */
>   {				/* ((substatement-open 1)) */
>   case 'a':			/* ((case-label 42)) */
>   case 'b':			/* ((case-label 42)) */
>     x = 1;			/* ((statement-case-intro 117)) */
>   y = 2;			/* ((statement 157)) */
>   break;			/* ((statement 203)) */
>   }				/* ((block-close 42)) */
>
> As you can see, the snippet is correctly parsed.
>
> Please provide an exact, step-by-step recipe for reproducing this bug,
> starting with `emacs -Q'.